Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	KVIrc is a Internet Relay Chat client based on the Qt GUI toolkit.
Name:      	kvirc
Version:   	4.0.2
Release:   	1
License: 	GNU/GPL
URL:		http://www.kvirc.net
Group:     	Networking/Chat
Source0: 	%{name}-%{version}.tar.bz2
Patch0:		%{name}-ccuxserver.patch
# manually set revision, so cmake doesn't mind
# patch needs to be updated with every revision !
Patch1:		kvirc-4.0.0-manual-svn-rev.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

BuildRequires: pulseaudio-libs-devel
BuildRequires: automoc4
BuildRequires: soprano-devel

#Automatically resolved build dependencies
BuildRequires: audiofile-devel
BuildRequires: dbus-devel
BuildRequires: esound-libs-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: kdelibs-devel
BuildRequires: libgcc
BuildRequires: libICE-devel
BuildRequires: libogg-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libtheora-devel
BuildRequires: libvorbis-devel
BuildRequires: libX11-devel
BuildRequires: libXcursor-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXi-devel
BuildRequires: libXinerama-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: openssl-devel
BuildRequires: phonon-devel
BuildRequires: python26-devel
BuildRequires: qt4-devel
BuildRequires: zlib-devel

%description
KVIrc is a Internet Relay Chat client based on the Qt GUI toolkit.

%package devel
Summary: 	%{name} development headers.
Group:     	%{group}
Requires: 	%{name} = %{version}

%description devel
Header and include files for developing applications with %{name}.


%post
ldconfig
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
xdg-desktop-menu forceupdate 2> /dev/null || :

%postun
ldconfig
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
xdg-desktop-menu forceupdate 2> /dev/null || :

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
#%patch1 -p1

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} .. -DCMAKE_INSTALL_PREFIX=%{_prefix} -DWANT_PYTHON=ON -DWANT_OGG_THEORA=ON -DWANT_DCC_VIDEO=ON -DWANT_OPENSSL=ON -DWANT_IX86_ASM=ON
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
mkdir %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}



%files
%defattr(-,root,root)
%{_bindir}/kvirc
%{_bindir}/kvirc-config
%{_libdir}/kvirc/4.0
%{_libdir}/libkvilib.so                                 
%{_libdir}/libkvilib.so.4                               
%{_libdir}/libkvilib.so.%{version} 
%{_applications}/kvirc.desktop                          
%{_datadir}/icons/hicolor/*/apps/kvirc.png        
%{_datadir}/icons/hicolor/*/mimetypes/application-x-kva.png
%{_datadir}/icons/hicolor/*/mimetypes/application-x-kvt.png
%{_datadir}/icons/hicolor/*/mimetypes/text-x-kvc.png       
%{_datadir}/icons/hicolor/*/mimetypes/text-x-kvs.png       
%{_datadir}/icons/hicolor/scalable/apps/kvirc.svgz               
%{_datadir}/icons/hicolor/scalable/mimetypes/application-x-kva.svgz
%{_datadir}/icons/hicolor/scalable/mimetypes/application-x-kvt.svgz
%{_datadir}/icons/hicolor/scalable/mimetypes/text-x-kvc.svgz       
%{_datadir}/icons/hicolor/scalable/mimetypes/text-x-kvs.svgz       
%{_datadir}/kvirc/4.0 
%{_datadir}/pixmaps/kvirc.png
%{_mandir}/de/man1/kvirc.1.gz
%{_mandir}/it/man1/kvirc.1.gz
%{_mandir}/man1/kvirc.1.gz
%{_datadir}/mime/packages/kvirc.xml


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Dec 05 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.0.2-1
- Version update
* Sun Jun 27 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.0.0-5
- regular release
* Tue Feb 23 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.0.0-4
- rc2
* Sat Sep 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.0.0-3
- rc1 
* Sun Aug 16 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.0.0-2
- svn 3413
* Mon Jun 15 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.0.0-1
- Version update
- svn 3248
* Sun Oct 26 2008 Christian Metzen <metzench@ccux-linux.de> 3.4.2-2
- added menu update to scriplets
* Sun Oct 26 2008 Christian Metzen <metzench@ccux-linux.de> 3.4.2-1
- Version update
* Sun May 04 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.4.0-1
- Version update
* Sat Jan 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.2.6-1
- Version update
* Fri Oct 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.2.5-1
- Version update
- refined BuildRequires list
* Wed Aug 02 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.2.4-1
- Version update
- added CCux IRC server to default server list
* Mon Jul 24 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.2.3-1
- Version update
* Sat Oct 08 2005 Christian Wasem <wasem@ccux-linux.de> 3.2.0-4
- tweaked specfile, corrected group
* Sun Jul 10 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 3.2.0-3
- rebuilt against openssl 0.9.8
* Fri Jun 17 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 3.2.0-2
- rebuilt against KDE 3.4.1, fixed conflict with kdenetwork
* Sun Mar 06 2005 Christian Metzen <metzench@ccux-linux.de> 3.2.0-1
- Initial Release
